## org.omg.CORBA
Class InvalidPoliciesHelper

    java.lang.Object
      |
      +--org.omg.CORBA.InvalidPoliciesHelper

public class InvalidPoliciesHelper
extends java.lang.Object

Helper class for : InvalidPolicies

Author:
  OpenORB Compiler

Constructor Summary
`InvalidPoliciesHelper()`

Method Summary
`static InvalidPolicies` `extract(Any a)` Extract InvalidPolicies from an any
`static java.lang.String` `id()` Return the InvalidPolicies IDL ID
`static void` `insert(Any a, InvalidPolicies t)` Insert InvalidPolicies into an any
`static InvalidPolicies` `read(InputStream istream)` Read InvalidPolicies from a marshalled stream
`static TypeCode` `type()` Return the InvalidPolicies TypeCode
`static void` `write(OutputStream ostream, InvalidPolicies value)` Write InvalidPolicies into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InvalidPoliciesHelper

    public InvalidPoliciesHelper()

Method Detail

### insert

    public static void insert(Any a,
                              InvalidPolicies t)

  Insert InvalidPolicies into an any
  Parameters:
    `a` - an any
    `t` - InvalidPolicies value

### extract

    public static InvalidPolicies extract(Any a)

  Extract InvalidPolicies from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted InvalidPolicies value

### type

    public static TypeCode type()

  Return the InvalidPolicies TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the InvalidPolicies IDL ID
  Returns:
    an ID

### read

    public static InvalidPolicies read(InputStream istream)

  Read InvalidPolicies from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed InvalidPolicies value

### write

    public static void write(OutputStream ostream,
                             InvalidPolicies value)

  Write InvalidPolicies into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - InvalidPolicies value